#include "Line_impl.h"

namespace MM
{

Any & Line_impl::
operator[] (int i)
{
    return data_[i];
}

int Line_impl::
length () const
{
    return data_.size();
}

Line * Line_impl::
clone() const
{
    Line_impl *result = new Line_impl(); 
    result->data_ = data_;
    return result;              
}

void Line_impl::
add (const Any & cell)
{
    data_.push_back (cell);
}

}//MM
